• Register
Welcome to Minecraft Help - Questions & Answers

Here you can ask Minecraft related questions or help other players by answering their questions.
Community driven website maintained by Minecraft Servers - A list with thousands of playable servers for Minecraft.

We recommend Mojangs new official bug tracker, letting them know about errors, will help speed up development to close bugs. Visit at Minecraft Bug Tracker
  • Minecraft Skins
  • Minecraft Videos
  • My computer can't run any version of minecraft past 1.7.2 (including all of 1.8)

    0 votes

    Hello, i am wondering why my computer can't run minecraft 1.7.2 or higher. i am using windows 7. i forget how to check if my minecraft is 32bit or 64bit thats another question to answer if thats the case. when i click play with 1.7.4 or higher it will download and launch, it will go through the "Mojang TM" screen but then it closes and reopens the launcher PLEASE HELP i've been wanting this computer to play my new minecraft map that uses 1.8 (Hardcore Arid Survival 1.2.2 by JacobRuby).

    asked Aug 7, 2014 in Minecraft Bugs by JacobRuby (160 points)
      

    3 Answers

    0 votes
    I have the same problem... a modpack i have been wanting to play just updated to 7.10 and I cant play it! I just want an answer...
    answered Aug 27, 2014 by anonymous
    0 votes
    I'm having the EXACT same problem. I have a Dell that I've had for 7 years, also with Windows 7, how old is your computer? Maybe if we are having the same problems with the same computer we could be able to figure it out.
    answered Oct 4, 2014 by cqueen15 (410 points)
    It is about 2 years.
    0 votes

    this issue happens when trying to play minecraft on a computer that has a video/graphics card that doesn't support  OpenGL 2.1,(a video card and graphics card is the same thing.) This usually means the video/graphics card inside the computer you're using to play minecraft on is old/outdated, which usually implies the computer it's self is old/outdated. your best option is to play on a modern computer with a decent modern video/graphics card, if you don't have one, then buy one, if you can't afford one, then unfortunately, you'll have to make due with minecraft version 1.7.2 until u can. (another option for advanced pc users, and by advanced i mean those who know how to completely disassemble a computer, put it all back together again, and it still WORKS!!!!, is you can just buy and install a video/graphics card that supports  OpenGL 2.1 as long as the computer's motherboard supports a video/graphics card that supports OpenGL 2.1 AND is a DESKTOP computer!!! if you're playing on a laptop, then this won't be an option for you) and just incase your wondering, video/graphics cards can cost more than buying a NEW computer that already has a decent/modern video/graphics card that supports OpenGL 2.1

     

    answered Apr 24, 2015 by Loren Cody Mcfarland (140 points)

    Please Donate To Bitcoin Address: [[address]]

    Donation of [[value]] BTC Received. Thank You.
    [[error]]
    ...